<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateValuesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('values', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->bigInteger('netstat_sent')->nullable();
            $table->bigInteger('netstat_recv')->nullable();
            $table->bigInteger('memory_total')->nullable();
            $table->bigInteger('memory_free')->nullable();
            $table->bigInteger('memory_used')->nullable();
            $table->bigInteger('disk_free')->nullable();
            $table->float('disk_percent',8,2)->nullable();
            $table->float('load',8,2)->nullable();
            $table->bigInteger('disk_used')->nullable();
            $table->bigInteger('disk_total')->nullable();
            $table->integer('processes')->nullable();
            $table->integer('temp')->nullable();
            $table->timestamp('created_at')->default(DB::raw('CURRENT_TIMESTAMP'));

	    $table->unsignedBigInteger('computer_id');
	    $table->foreign('computer_id')->references('id')->on('computers');

	    $table->engine = 'TokuDB';
	    $table->index('created_at');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('values');
    }
}
